Bug 11404 - smbd segfaults if do_map_to_guest_server_info() fails
smbd segfaults if do_map_to_guest_server_info() fails
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.2.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-17 08:59 UTC by Andreas Schneider
Modified: 2015-08-03 12:32 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.2 (1.07 KB, patch)
2015-07-17 12:32 UTC, Andreas Schneider
ab: review+
Details
patch for 4.1 (1.07 KB, patch)
2015-07-17 12:32 UTC, Andreas Schneider
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2015-07-17 08:59:34 UTC
smbd segfaults if do_map_to_guest_server_info() fails. See

https://retrace.fedoraproject.org/faf/reports/733511/


Patch follows ...
Comment 1 Andreas Schneider 2015-07-17 12:32:10 UTC
Created attachment 11268 [details]
patch for 4.2
Comment 2 Andreas Schneider 2015-07-17 12:32:30 UTC
Created attachment 11269 [details]
patch for 4.1
Comment 3 Alexander Bokovoy 2015-07-17 13:19:44 UTC
Comment on attachment 11268 [details]
patch for 4.2

Looks good.
Comment 4 Alexander Bokovoy 2015-07-17 13:20:02 UTC
Comment on attachment 11269 [details]
patch for 4.1

Looks good.
Comment 5 Andreas Schneider 2015-07-20 08:35:19 UTC
Karolin, please add the patches to the next releases. Thanks!
Comment 6 Stefan Metzmacher 2015-08-03 12:32:27 UTC
Pushed to v4-[1,2]-test